Loading...
Searching...
No Matches
Ogre::LogListener Class Referenceabstract
Core » General

`#include <OgreLog.h>`

## Public Member Functions

virtual | ~LogListener ()
virtual void | messageLogged (const String &message, LogMessageLevel lml, bool maskDebug, const String &logName, bool &skipThisMessage)=0
| This is called whenever the log receives a message and is about to write it out.

## Detailed Description

Remarks
  Pure Abstract class, derive this class and register to the Log to listen to log messages

## Constructor & Destructor Documentation

## ~LogListener()

virtual Ogre::LogListener::~LogListener | ( |  | ) |

inline virtual

## Member Function Documentation

## messageLogged()

virtual void Ogre::LogListener::messageLogged | ( | const String & | message,
|  | LogMessageLevel | lml,
|  | bool | maskDebug,
|  | const String & | logName,
|  | bool & | skipThisMessage )

pure virtual

This is called whenever the log receives a message and is about to write it out.

Parameters

  message | The message to be logged
  lml | The message level the log is using
  maskDebug | If we are printing to the console or not
  logName | The name of this log (so you can have several listeners for different logs, and identify them)
  skipThisMessage | If set to true by the messageLogged() implementation message will not be logged

The documentation for this class was generated from the following file:

- OgreLog.h